Subject: Re: bug#34094: 27.0.50; (wrong-type-argument stringp (require . elec-pair)) with describe-function (and other commands)

From: Stefan Monnier <[email-masked]>
Date: Mon, 17 Feb 2020 11:33:30 -0500

>>     rm src/emacs.pdmp
>>     emacs -Q
>>
>> but that still works correctly for me.
>
> Right, the problem back then was that I had a symlink ~/bin/emacs ->
> ~/Repos/el/emacs/src/emacs which didn't work with the portable dumper.

Right, that made the `emacs` binary fail to find the pdmp file, so
removing the pdmp file like I did above should be a good strategy to
reproduce the same problem.

> I can't.  Back then I've replaced the above symlink with a shell
> script.  Now I tried again with the symlink and my recipe doesn't
> trigger the error anymore.

There was discussion to make Emacs follow the symlink to try and find
the corresponding pdmp file, so maybe that's what you're seeing.

        Stefan